import { CompletionContext, CompletionResult, Completion } from '@codemirror/autocomplete';
import { EditorState } from '@codemirror/state';

export type LiquidCompletionConfig = {
    tags?: readonly Completion[];
    filters?: readonly Completion[];
    variables?: readonly Completion[];
    properties?: (path: readonly string[], state: EditorState, context: CompletionContext) => readonly Completion[];
};
export declare function liquidCompletionSource(config?: LiquidCompletionConfig): (context: CompletionContext) => CompletionResult | null;
export declare const closePercentBrace: import('@codemirror/state').Extension;
